From e69e247f97e6a193677b81277b0639bec066808f Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Oct 08 2021 05:26:52 +0000
Subject: [PATCH 2/23] libre/iceweasel: Update to 93.0 according to upstreams


Arch Linux ARM has removed the patch and webrtc disable flag

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 9d13a0a..a418503 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -47,10 +47,10 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=92.0
+pkgver=93.0
 pkgrel=1
 pkgrel+=.parabola1
-_brandingver=91.0-1
+_brandingver=93.0-1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 arch=(x86_64)
 arch+=(i686 armv7h)
@@ -79,25 +79,23 @@ source+=(https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}.bra
          9003-FSDG-misc.patch
          process-json-files.py
          vendor.js.in)
-source_armv7h=(arm.patch
-               build-arm-libopus.patch)
+source_armv7h=(build-arm-libopus.patch)
 source_i686=('avoid-libxul-OOM-python-check.patch'
              'rust-static-disable-network-test-on-static-libraries.patch')
-sha256sums=('299a472373021cc9194449c9f4bb962d5f74ef05e8af0448c589761ea34fbc84'
+sha256sums=('a78f080f5849bc284b84299f3540934a12e961a7ea368b592ae6576ea1f97102'
             'SKIP'
-            'd7c7a65c4b7ec9ea40df129724ffb369d3f775b0514e3c267c52eec6d284b5e6'
+            'bb9769a8fe720abea2bba5b895c70c4fba0d44bb553399d83350268edf85cdeb'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
-sha256sums+=('5552a56e40aef9fa174676f2b303208d905f519d2bb868d9cefe0950a2f65373'
+sha256sums+=('d0f9afefbaaf838bbdd4067df0bbcd03e0e0a60a3e3addecdcc62ffb9c432015'
              'SKIP'
-             '6ebbf18792cb57067f500fd4575c341d4708c5c0a232d676471f87dfa590621b'
+             '362d38ac2d99da2eec85bb5723239e7044e302503956488d0df31132409b993d'
              'afeaeb6e9a6af901b57e25d85014e5c792efe4ff9dabb58663377f487b9d2887'
              '39e3a5e1ad137e21f842a44d7e3bd24050292d2b41fe59b4e7c7dfed52a195dd'
              '9386f1c50506cd20ab6d212335d5e4417faeb2aea371dd46f2d107d171e80b83'
              'c93ce98e1cb64033079343ff1f3037fab6a3bc6d3eb5bc14c5edb70e2d45965d')
 sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e353'
                  '10c5276eab2e87f400a6ec15d7ffbef3b0407ee888dea36f1128927ca55b9041')
-sha256sums_armv7h=('bc00516032330760444939c516a60c78f868631e1b37f075f0fe71a53737b966'
-                   '2d4d91f7e35d0860225084e37ec320ca6cae669f6c9c8fe7735cdbd542e3a7c9')
+sha256sums_armv7h=('2d4d91f7e35d0860225084e37ec320ca6cae669f6c9c8fe7735cdbd542e3a7c9')
 validpgpkeys=('14F26682D0916CDD81E37B6D61B7B526D98F0353') # Mozilla Software Releases <release@mozilla.com>
 validpgpkeys+=('BFA8008A8265677063B11BF47171986E4B745536') # Andreas Grapentin
 validpgpkeys+=('3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40') # bill-auger
@@ -198,7 +196,6 @@ END
       cat >>../mozconfig <<END
 export CC=clang
 export CXX=clang++
-ac_add_options --disable-webrtc
 ac_add_options --disable-elf-hack
 
 # https://bugzilla.redhat.com/show_bug.cgi?id=1641623
@@ -211,8 +208,6 @@ END
       # EME is disabled anyway in the built package, but better check if it exists for ARM each new release.
       sed -i 's|ac_add_options --disable-eme||' ../mozconfig
 
-      echo "applying arm.patch"
-      patch -p1 -i ../arm.patch
       echo "applying build-arm-libopus.patch"
       patch -p1 -i ../build-arm-libopus.patch
     ;;
